gr::lte::extract_subcarriers_vcvc Class Reference

Extract occupied subcarriers in frequency domain. More...

`#include <extract_subcarriers_vcvc.h>`

Inheritance diagram for gr::lte::extract_subcarriers_vcvc:
[legend]

## Public Types

typedef boost::shared_ptr< extract_subcarriers_vcvc > | sptr

## Static Public Member Functions

static sptr | make (int N_rb_dl, int fftl, std::string name="extract_subcarriers_vcvc")
| Return a shared_ptr to a new instance of lte::extract_subcarriers_vcvc.

## Detailed Description

Extract occupied subcarriers in frequency domain.

## Member Typedef Documentation

## sptr

typedef boost::shared_ptr<extract_subcarriers_vcvc> gr::lte::extract_subcarriers_vcvc::sptr

## Member Function Documentation

## make()

static sptr gr::lte::extract_subcarriers_vcvc::make | ( | int | N_rb_dl,
|  | int | fftl,
|  | std::string | name = "extract_subcarriers_vcvc" )

static

Return a shared_ptr to a new instance of lte::extract_subcarriers_vcvc.

To avoid accidental use of raw pointers, lte::extract_subcarriers_vcvc's constructor is in a private implementation class. lte::extract_subcarriers_vcvc::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- extract_subcarriers_vcvc.h